Account Holder Information
https://sandbox-products.ddp.akoya.com/contacts/{version}/{providerId}/{accountId}
This product supports use cases such as payment enablement, account opening, identity verification, or lending & credit enhancement. Responses return information about the authorized consumer, the customer associated with the id_token used in the call, and the relationship specific to the provided accountId.
Get account holder information. Based on FDX 5.2.1.
This product requires consumer consent to share all account holder information.
Use the mode query param to receive FDX-aligned, standardized data values. For example:
https://sandbox-products.ddp.akoya.com/contacts/v3/mikomo/g833202fb0866d0ad83472c429?mode=standard
Path Parameters
version*
stringdefault: v3Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1
providerId*
stringdefault: mikomoId of provider
accountId*
stringdefault: :accountIdAccount Identifier
Query Parameters
mode
Default is raw. Use standard for FDX-aligned, standardized data values.
Headers
x-akoya-interaction-type*
Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.
x-akoya-last-access*
The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`
x-akoya-intent-type*
Acceptable values are `payments` or `nonpayments.`
Responses
200
OK
Response Body
object
holders
array of objects
Owners of the account
object
customerId
string
Long-term persistent identity of the end-user. This identity must be unique to the owning institution
name
object
The end-user's name
first
string
First or given name. This data element may contain first & last name if not separated.
middle
string
last
string
addresses
array of objects
An array of the end-user's physical mail addresses
object
line1
string
May contain full address if not separated
city
string
state
string
postalCode
string
telephones
arraynull
Optional array of telephone numbers
object
number
string
The telephone number
country
string
The country
type
string
The telephone type
email
array of strings
An array of the end-user's electronic mail addresses
string
accounts
arraynull
Optional list of accounts associated with the customer
string
relationship
string
Customer's relationship to the account
PRIMARYJOINTAUTHORIZED_USERemails
array of strings
Email addresses associated with the account
string
addresses
array of objects
line1
string
Address line 1
line2
string
Address line 2
line3
string
Address line 3
city
string
City
region
string
State, Province, Territory, Canton or Prefecture. From [Universal Postal Union](https://www.upu.int/en/Postal-Solutions/Programmes-Services/Addressing-Solutions#addressing-s42-standard) as of 2-26-2020, [S42 International Address Standards](https://www.upu.int/UPU/media/upu/documents/PostCode/S42_International-Addressing-Standards.pdf). For U.S. addresses can be 2-character code from '#/components/schemas/StateCode'
postalCode
string
Postal code
country
Country code
string
type
string
Type of address location.
BUSINESSHOMEMAILINGPRIMARYSECONDARYLEGALtelephones
array of objects
Telephone numbers associated with the account.
object
type
string
country
Country calling codes defined by ITU-T recommendations E.123 and E.164
number
string
Telephone subscriber number defined by ITU-T recommendation E.164
404
Not Found
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
405
Method Not Allowed
Response
string
408
Request timed out (round trip call took >10 seconds).
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.